#
# spec file for package dvd+rw-tools (Version 6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dvd+rw-tools
BuildRequires:  gcc-c++ resmgr
License:        GPL, distributable
Group:          Productivity/Multimedia/CD/Record
Autoreqprov:    on
Version:        6.1
Release:        18.2
Source:         dvd+rw-tools-%{version}.tar.bz2
URL:            http://fy.chalmers.se/~appro/linux/DVD+RW/
Summary:        Collection of Tools for Mastering DVD+RW/+R Media
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch1:         rpm_opt_flags.diff
Patch2:         growisofs-directio-limit.diff
Patch4:         utf8ize.patch
Patch5:         expand-memlock
Patch6:         pthread-stacksize
Patch7:         growisofs-dvd-dl-undersized.patch

%description
Collection of Tools for Mastering DVD+RW/+R Media

Authors:
--------
    appro@fy.chalmers.se

%debug_package
%prep
%setup -q
%patch1
%patch2
%patch4
%patch5 -p1
%patch6 -p1
%patch7

%build
make
make rpl8 btcflash

%install
make prefix=$RPM_BUILD_ROOT/usr manprefix=$RPM_BUILD_ROOT%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc index.html
%doc %{_mandir}/man1/growisofs.1.gz
/usr/bin/dvd+rw-booktype
/usr/bin/dvd+rw-format
/usr/bin/dvd+rw-mediainfo
/usr/bin/dvd-ram-control
/usr/bin/growisofs
/usr/bin/btcflash
/usr/bin/rpl8

%changelog -n dvd+rw-tools
* Thu Apr 27 2006 - joeshaw@suse.de
- Add patch to allow users to burn images that would fit on a
  single-layer DVD to a dual-layer disc.  (bnc #164032)
* Wed Apr 12 2006 - adrian@suse.de
- fix dvd burning from NFS located files (by okir, #149905)
* Tue Apr 04 2006 - rw@suse.de
- don't set thread stacksize below PTHREAD_STACK_MIN (#160312)
* Sat Feb 18 2006 - ak@suse.de
- expand memlock limit for 64bit systems (#152052)
* Mon Jan 30 2006 - adrian@suse.de
- update to version 6.1 (#146534)
- sentinel, resmgr and subfs patch are obsolete
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Wed Jun 29 2005 - sbrabec@suse.cz
- Strings converted to UTF-8.
* Mon Apr 11 2005 - meissner@suse.de
- and actually apply the last patch.
* Fri Apr 08 2005 - meissner@suse.de
- explicitly use (char*)0 as execl terminator.
* Wed Jan 26 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS. Fixed gcc4 compile problem.
* Mon Jan 10 2005 - adrian@suse.de
- fix resmgr support (#49388)
* Wed Sep 22 2004 - ro@suse.de
- update to 5.21 as suggested for use with kernel >= 2.6.8
* Wed Aug 18 2004 - ro@suse.de
- update to 5.20... to support DVD+R DL
* Tue Jul 27 2004 - adrian@suse.de
- fix subfs.diff patch
* Mon Jul 26 2004 - adrian@suse.de
- fix usage as user (non-root) #42523
  * add resmgr support
  * do not try to unmount subfs mounts
* Sat Mar 13 2004 - aj@suse.de
- update to 5.17.4.8.6. [#35750]
* Thu Sep 04 2003 - wengel@suse.de
- update -> 5.12.4.7.4
* Thu Jul 31 2003 - wengel@suse.de
- fixed filelist
* Thu Jul 31 2003 - wengel@suse.de
- update to new version -> 5.10.4.5.4
- minor specfile changes
* Wed May 28 2003 - coolo@suse.de
- use BuildRoot
* Fri Jan 17 2003 - wengel@suse.de
- initial package
